Skip to main content
`Ctrl`+`K`

# PetscStrcmp

Compares two strings

## Synopsis

    static inline PetscErrorCode PetscStrcmp(const char a[], const char b[], PetscBool *flg)

Not Collective, No Fortran Support

## Input Parameters

- a - pointer to string first string

- b - pointer to second string

## Output Parameter

- flg - `PETSC_TRUE` if the two strings are equal

## See Also

`PetscStrcmpAny()`, `PetscStrgrt()`, `PetscStrncmp()`, `PetscStrcasecmp()`

## Level

intermediate

## Location

include/petscstring.h

## Examples

src/ksp/ksp/tutorials/ex43.c
src/ts/tutorials/ex11_sa.c
src/ksp/ksp/tutorials/ex77.c
src/ts/tutorials/ex11.c
src/vec/is/sf/tutorials/ex1.c
src/ksp/ksp/tutorials/ex78.c
src/ksp/ksp/tutorials/ex72.c
src/ksp/ksp/tutorials/ex76.c
src/sys/tutorials/ex20.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages